## kamailio-4.2.3 src

=== modules/db_mysql/Makefile ===
# $Id$
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_mysql.so

DEFS +=-DSER_MOD_INTERFACE

# set CROSS_COMPILE to true if you want to skip
# the autodetection
# CROSS_COMPILE=true

ifeq ($(CROSS_COMPILE),)
MYSQLCFG=$(shell which mysql_config)
ifeq ($(MYSQLCFG),)
MYSQLCFG=$(shell which mysql_config5)
endif
endif

ifneq ($(MYSQLCFG),)
	# use autodetection
	DEFS += $(shell $(MYSQLCFG) --include | sed 's/\(-I[^ ]*\)\/mysql/\1/g' )
	LIBS = $(shell $(MYSQLCFG) --libs)
else
	# mysql.h locations (freebsd,openbsd  solaris)
	DEFS +=-I$(LOCALBASE)/include \
		-I$(LOCALBASE)/include/mysql \
		-I$(LOCALBASE)/mysql/include
	# libmysqlclient locations on RH/Suse, Solaris /OpenBSD, FreeBSD
	# (Debian does the right thing and puts it in /usr/lib)
	LIBS=-L$(LOCALBASE)/lib -L$(LOCALBASE)/lib/mysql \
		-L$(LOCALBASE)/mysql/lib/mysql/ \
		-L$(LOCALBASE)/mysql/lib \
		-lmysqlclient -lz
endif

SERLIBPATH=../../lib
SER_LIBS=$(SERLIBPATH)/srdb2/srdb2 $(SERLIBPATH)/srdb1/srdb1
ifneq (,$(filter sip-router ser, $(INSTALL_FLAVOUR)))
MOD_INSTALL_SHARE= ../../scripts/mysql/my_create.sql \
				   ../../scripts/mysql/my_data.sql   \
				   ../../scripts/mysql/my_drop.sql
else ifeq ($(INSTALL_FLAVOUR),kamailio)
#TODO
endif

include ../../Makefile.modules

ifneq (,$(filter sip-router ser, $(INSTALL_FLAVOUR)))
# extra install for ser and sip-router

install-mysql-script: $(bin_prefix)/$(bin_dir)
	sed -e "s#^DEFAULT_SCRIPT_DIR.*#DEFAULT_SCRIPT_DIR=\"$(share_prefix)/$(share_dir)\"#g" \
	< ../../scripts/mysql/$(SCR_NAME)_mysql.sh > \
	$(bin_prefix)/$(bin_dir)/$(MAIN_NAME)_mysql.sh
	chmod 755 $(bin_prefix)/$(bin_dir)/$(MAIN_NAME)_mysql.sh

install-scripts: install-mysql-script

else ifeq ($(INSTALL_FLAVOUR),kamailio)
# extra install for kamailio

install-mysql-scripts: $(bin_prefix)/$(bin_dir)
		MYSQLON=yes $(MAKE) -C ../../utils/kamctl/ install-modules

install-scripts: install-mysql-scripts

endif # INSTALL_FLAVOUR

=== modules/kazoo/Makefile ===
# $Id$
#
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=kazoo.so
JLIB=json

BUILDER = $(shell which pkg-config)
ifeq ($(BUILDER),)
	JSONC=$(shell ls $(SYSBASE)/include/lib/libjson*.so $(LOCALBASE)/lib/libjson*.so 2>/dev/null | grep json-c)
else
	JSONC=$(shell pkg-config --libs json-c 2>/dev/null | grep json-c)
endif

ifneq ($(JSONC),)
	JLIB=json-c
endif

ifeq ($(BUILDER),)
	DEFS+=-I$(LOCALBASE)/include -I$(SYSBASE)/include \
		-I$(SYSBASE)/include/$(JLIB)
	LIBS=-L$(LOCALBASE)/lib -I$(SYSBASE)/lib -lrabbitmq -l$(JLIB) -luuid
else
	DEFS += $(shell $(BUILDER) --cflags $(JLIB))
	LIBS += $(shell $(BUILDER) --libs $(JLIB))
	DEFS += $(shell $(BUILDER) --cflags uuid)
	LIBS += $(shell $(BUILDER) --libs uuid)
	DEFS += $(shell $(BUILDER) --cflags librabbitmq)
	LIBS += $(shell $(BUILDER) --libs librabbitmq)
endif

DEFS += -DKAMAILIO_MOD_INTERFACE


SERLIBPATH=../../lib
SER_LIBS=$(SERLIBPATH)/srdb2/srdb2 $(SERLIBPATH)/srdb1/srdb1
SER_LIBS+=$(SERLIBPATH)/kmi/kmi
SER_LIBS+=$(SERLIBPATH)/kcore/kcore

include ../../Makefile.modules

=== modules/tls/Makefile ===
# Makefile v 1.0 2002/12/27
#
# TLS module makefile
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=tls.so

ifeq ($(CROSS_COMPILE),)
SSL_BUILDER=$(shell \
	if pkg-config --exists libssl; then \
		echo 'pkg-config libssl'; \
	fi)
endif

ifneq ($(SSL_BUILDER),)
	DEFS += $(shell $(SSL_BUILDER) --cflags)
	LIBS += $(shell $(SSL_BUILDER) --libs)
else
	DEFS += -I$(LOCALBASE)/ssl/include
	LIBS += -L$(LOCALBASE)/lib -L$(LOCALBASE)/ssl/lib \
			-L$(LOCALBASE)/lib64 -L$(LOCALBASE)/ssl/lib64 \
			-lssl -lcrypto
	# NOTE: depending on the way in which libssl was compiled you might
	#       have to add -lz -lkrb5   (zlib and kerberos5).
	#       E.g.: make TLS_HOOKS=1 TLS_EXTRA_LIBS="-lz -lkrb5"
endif

LIBS+= $(TLS_EXTRA_LIBS)

# dcm: tls.cfg installed via local 'install-cfg' to update paths
#MOD_INSTALL_CFGS=tls.cfg

DEFS+=-DKAMAILIO_MOD_INTERFACE
include ../../Makefile.modules


install-tls-cert: $(cfg_prefix)/$(cfg_dir)
	MAIN_NAME=$(MAIN_NAME) ./$(SCR_NAME)_cert.sh -d $(cfg_prefix)/$(cfg_dir)

install-cfg:  install-tls-cert
	@$(call try_err, $(INSTALL_TOUCH) \
			"$(cfg_prefix)/$(cfg_dir)tls.cfg.sample" )
	@sed -e "s#\/usr/local/etc/kamailio/#$(cfg_target)#g" \
			-e "s#kamailio-selfsigned#$(MAIN_NAME)-selfsigned#g" \
				< ./tls.cfg > "$(cfg_prefix)/$(cfg_dir)tls.cfg.sample"
	@if [ -z "${skip_cfg_install}" -a \
			! -f "$(cfg_prefix)/$(cfg_dir)tls.cfg" ]; then \
		mv -f "$(cfg_prefix)/$(cfg_dir)tls.cfg.sample" \
						"$(cfg_prefix)/$(cfg_dir)tls.cfg" ; \
	fi

=== pkg/kamailio/deb/debian/changelog ===
kamailio (4.2.3) unstable; urgency=medium

  * update versionto 4.2.3

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Tue, 10 Feb 2015 15:30:45 +0100

kamailio (4.2.2) unstable; urgency=medium

  * update versionto 4.2.2

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Thu, 08 Jan 2015 14:25:40 +0100

kamailio (4.2.1) unstable; urgency=medium

  * update versionto 4.2.1

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Tue, 11 Nov 2014 11:55:40 +0100

kamailio (4.2.0) unstable; urgency=medium

  * update versionto 4.2.0

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Thu, 16 Oct 2014 14:25:30 +0100

kamailio (4.2.0~rc1) unstable; urgency=medium

  * update version to 4.2.0~rc1

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 13 Oct 2014 23:39:26 +0200

kamailio (4.2.0~rc0) unstable; urgency=medium

  * update version to 4.2.0~rc0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 09 Oct 2014 09:55:52 +0200

kamailio (4.2.0~pre1) UNRELEASED; urgency=medium

  * update version to 4.2.0~pre1

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 29 Sep 2014 10:17:56 +0200

kamailio (4.2.0~pre0) UNRELEASED; urgency=medium

  * update version to 4.2.0~pre0

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Fri, 12 Sep 2014 02:38:24 +0200

kamailio (4.2.0~dev9) unstable; urgency=medium

  * update version to 4.2.0~dev9

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 02 Sep 2014 11:18:12 +0200

kamailio (4.2.0~dev8) unstable; urgency=medium

  * update version to 4.2.0~dev8

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sat, 26 Jul 2014 10:03:22 +0200

kamailio (4.2.0~dev7) unstable; urgency=medium

  * update version to 4.2.0~dev7

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 12 Jun 2014 12:55:05 +0200

kamailio (4.2.0~dev6) unstable; urgency=medium

  * update version to 4.2.0~dev6

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Sat, 03 May 2014 21:49:21 +0200

kamailio (4.2.0~dev5) unstable; urgency=medium

  * update version to 4.2.0~dev5

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 21 Apr 2014 22:52:17 +0200

kamailio (4.2.0~dev4) unstable; urgency=medium

  * update version to 4.2.0~dev4

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 08 Apr 2014 11:56:12 +0200

kamailio (4.2.0~dev3) unstable; urgency=medium

  * update version to 4.2.0~dev3

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Fri, 21 Feb 2014 22:52:43 +0100

kamailio (4.2.0~dev2) unstable; urgency=medium

  * update version to 4.2.0~dev2

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Mon, 03 Feb 2014 11:12:36 +0100

kamailio (4.2.0~dev1) unstable; urgency=medium

  * update version to 4.2.0~dev1

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed, 08 Jan 2014 19:13:30 +0100

kamailio (4.2.0~dev0) unstable; urgency=low

  * Added packages:
    - kamailio-autheph-modules
    - kamailio-sctp-modules
    - kamailio-java-modules

 --  Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 03 Dec 2013 14:26:58 +0100

kamailio (4.0.0) unstable; urgency=low

  * update to 4.0.0 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 11 Mar 2013 10:40:30 +0100

kamailio (3.4.0~dev0) unstable; urgency=low

  * update version to 3.4.0~dev0

 -- Jon Bonilla <manwe@aholab.ehu.es>  Wed, 15 Jun 2012 03:15:00 +0100

kamailio (3.2.0) unstable; urgency=low

  * update to 3.2.0 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Fri, 29 Apr 2011 12:25:30 +0100

kamailio (3.1.1) unstable; urgency=low

  * update to 3.1.1 from upstream

 -- Jon Bonilla <manwe@aholab.ehu.es>  Fri, 3 Dec 2010 16:30:00 +0100

kamailio (3.1.0) unstable; urgency=low

  * update to 3.1.0 from upstream

 -- Jon Bonilla <manwe@aholab.ehu.es>  Wed, 6 Oct 2010 17:24:00 +0100

kamailio (3.0.2.99) unstable; urgency=low

  * update to 3.0.2.99 for development version builds

 -- Jon Bonilla <manwe@aholab.ehu.es>  Fri, 28 May 2010 22:26:00 +0100

kamailio (3.0.2) unstable; urgency=low

  * update to 3.0.2 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Thu, 27 May 2010 10:27:36 +0100

kamailio (3.0.1) unstable; urgency=low

  * update to 3.0.1 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 08 Mar 2010 20:30:48 +0100

kamailio (3.0.0) unstable; urgency=low

  * update to 3.0.0 from upstream

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 11 Jan 2010 18:30:42 +0100

kamailio (3.0.0-rc3) unstable; urgency=low

  * update to 3.0.0-rc3 from upstream
  * updated debian/rules to work with the SIP Router style module packaging

 -- Daniel-Constantin Mierla <miconda@gmail.com>  Fri, 10 Dec 2009 12:10:02 +0100

kamailio (3.0.0-rc2) unstable; urgency=low

  * update to 3.0.0-rc2 from upstream
  * updated debian/rules to work with the new style module packaging

 -- Jonas Bergler <jonas.bergler@staff.snap.net.nz>  Wed, 18 Nov 2009 12:30:02 +1300

kamailio (1.5.0-svn1) unstable; urgency=low

  * increment debian packaging for trunk

 -- Henning Westerholt <henning.westerholt@1und1.de>  Mon, 02 Mar 2009 17:40:02 +0100

kamailio (1.4.0-svn1) unstable; urgency=low

  [ Klaus Darilion ]
  * first release of Kamailio (after renaming from Openser)

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Dec 2007 17:25:31 +0100

=== pkg/kamailio/deb/debian/control ===
Source: kamailio
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Victor Seva <linuxmaniac@torreviejawireless.org>,
           Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: bison,
               debhelper (>= 9),
               docbook-xml,
               dpkg-dev (>= 1.16.1.1),
               flex,
               gcj-jdk,
               libconfuse-dev,
               libcurl4-openssl-dev,
               libdb-dev (>= 4.6.19),
               libev-dev,
               libevent-dev,
               libexpat1-dev,
               libfreeradius-client-dev,
               libgeoip-dev (>= 1.4.5),
               libhiredis-dev (>= 0.10.0),
               libjson-c-dev,
               libldap2-dev,
               liblua5.1-0-dev,
               libmemcached-dev,
               libmono-2.0-dev,
               libmysqlclient-dev,
               libncurses5-dev,
               libpcre3-dev,
               libperl-dev,
               libpq-dev,
               libpurple-dev,
               librabbitmq-dev,
               libreadline-dev,
               libsasl2-dev,
               libsctp-dev,
               libsnmp-dev,
               libsqlite3-dev,
               libunistring-dev,
               libval-dev,
               libxml2-dev,
               libxmlrpc-c3-dev,
               openssl,
               pkg-config,
               python,
               python-dev,
               unixodbc-dev,
               uuid-dev,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://www.kamailio.org/
Vcs-git: git://anonscm.debian.org/pkg-voip/kamailio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/kamailio.git

Package: kamailio
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         python,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kamailio-berkeley-modules,
          kamailio-carrierroute-modules,
          kamailio-cpl-modules,
          kamailio-dbg,
          kamailio-ldap-modules,
          kamailio-lua-modules,
          kamailio-mysql-modules,
          kamailio-perl-modules,
          kamailio-postgres-modules,
          kamailio-presence-modules,
          kamailio-python-modules,
          kamailio-radius-modules,
          kamailio-snmpstats-modules,
          kamailio-tls-modules,
          kamailio-unixodbc-modules,
          kamailio-xml-modules,
          kamailio-xmpp-modules
Description: very fast and configurable SIP proxy
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 C Shell-like scripting language provides full control over the server's
 behaviour. Its modular architecture allows only required functionality to be
 loaded.
 .
 Among others, the following modules are available: digest authentication, CPL
 scripts, instant messaging, MySQL support, presence agent, RADIUS
 authentication, record routing, SMS gateway, Jabber/XMPP gateway, transaction
 module, registrar and user location, XML-RPC interface.
 .
 This package contains the main Kamailio binary along with the principal modules
 and support binaries.

Package: kamailio-dbg
Priority: extra
Section: debug
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends}
Description: very fast and configurable SIP proxy [debug symbols]
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package contains the debugging symbols for the Kamailio binaries and
 modules. You only need to install it if you need to debug Kamailio.

Package: kamailio-geoip-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: contains the geoip module
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip module, an extension allowing to
 use GeoIP API within configuration file.

Package: kamailio-sqlite-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sqlite3
Description: SQLite database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SQLite database driver for Kamailio.

Package: kamailio-json-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Json parser and jsonrpc modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides json parser for Kamailio's configuration file
 and the JSON-RPC client over netstrings.

Package: kamailio-memcached-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kamailio-memcached-module
Description: Provides the memcached module, an interface to the memcached server
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the memcached module, an interface to the memcached
 server, a high-performance, distributed memory object caching system.

Package: kamailio-lua-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: contains the app_lua module
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_lua module, an extension allowing to
 execute embedded Lua applications within configuration file.

Package: kamailio-mono-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: contains the app_mono module
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_mono module, an extension allowing to
 execute embedded Mono applications within configuration file.

Package: kamailio-python-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         python-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: contains the app_python module
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_python module, an extension allowing to
 execute embedded Python applications within configuration file.

Package: kamailio-redis-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Redis database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the Redis NOSQL database driver for Kamailio.

Package: kamailio-mysql-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         mysql-client,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MySQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for Kamailio.

Package: kamailio-postgres-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         postgresql-client,
         ${misc:Depends},
         ${shlibs:Depends}
Description: PostgreSQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for Kamailio.

Package: kamailio-cpl-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: CPL module (CPL interpreter engine) for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 Kamailio, turning Kamailio into a CPL server (storage and interpreter).

Package: kamailio-radius-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: RADIUS modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a set of RADIUS modules for Kamailio, for
 authentication, peering, group membership and messages URIs checking against a
 RADIUS server.

Package: kamailio-unixodbc-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: unixODBC database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the unixODBC database driver for Kamailio.

Package: kamailio-presence-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SIMPLE presence modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides several Kamailio modules for implementing presence
 server and presence user agent for RICH presence, registrar-based presence,
 external triggered presence and XCAP support.

Package: kamailio-perl-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: kamailio (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Perl extensions and database driver for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .

=== pkg/kamailio/deb/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

DEBVERSION:=$(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')

FILENAME := kamailio_$(UPVERSION).orig.tar.gz
URL := http://www.kamailio.org/pub/kamailio/$(UPVERSION)/src/kamailio-$(UPVERSION)_src.tar.gz

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/java-gcj

# choose freeradius
export FREERADIUS=1

# modules not in the "main" kamailio package
EXCLUDED_MODULES=

# extra modules to skip, because they are not compilable now
# - regardless if they go to the main kamailio package or to some module package,
# they will be excluded from compile and install of all
EXTRA_EXCLUDED_MODULES=bdb dbtext oracle pa iptrtpproxy

# module groups that are packaged in seperate packages
# (with the name kamailio-$(group_name)-modules)
# Note: the order is important (should be in dependency order, the one
# on which other depend first)
PACKAGE_GROUPS=mysql postgres berkeley unixodbc radius presence \
			   ldap xml perl utils lua memcached \
			   snmpstats carrierroute xmpp cpl redis python geoip\
			   sqlite json mono ims sctp java \
			   purple tls outbound websocket autheph dnssec kazoo

# module groups to be packaged onto kamailio-extra-modules
EXTRA_GROUPS=gzcompress uuid ev

# name of libdir in the path for libraries (e.g., lib for 32b, lib64 for 64b)
LIBDIR ?= lib/$(DEB_HOST_MULTIARCH)

# directories with possible duplicate libraries (that should be deleted
# from current module* packages)
DUP_LIBS_DIRS=$(CURDIR)/debian/kamailio/usr/$(LIBDIR)/kamailio \
			$(CURDIR)/debian/kamailio-db-modules/usr/$(LIBDIR)/kamailio

# "function" to get package short name out of a dir/module_name
# it also transforms db_foo into foo
mod_name=$(subst db_,,$(lastword $(subst /, ,$(1))))

define PACKAGE_GRP_BUILD_template
	# package all the modules in PACKAGE_GROUPS in separate packages
	$(foreach grp,$(PACKAGE_GROUPS EXTRA_GROUPS),\
		$(MAKE) every-module group_include="k$(grp)"
	)
endef


define PACKAGE_GRP_INSTALL_template
	$(foreach grp,$(PACKAGE_GROUPS),\
		$(MAKE) install-modules-all LIBDIR=$(LIBDIR) group_include="k$(grp)" \
		basedir=$(CURDIR)/debian/kamailio-$(grp)-modules \
		cfg_prefix=$(CURDIR)/debian/kamailio-$(grp)-modules \
		doc-dir=share/doc/kamailio-$(grp)-modules
		# eliminate duplicate libs
		-for d in $(DUP_LIBS_DIRS); do \
			test "$$d" != "$(CURDIR)/debian/kamailio-$(grp)-modules/usr/$(LIBDIR)/kamailio" &&\
			for r in `find $$d -name 'lib*'|xargs`; do \
				echo "removing $(grp) lib `basename $$r` present also in $$d";\
				rm -f $(CURDIR)/debian/kamailio-$(grp)-modules/usr/$(LIBDIR)/kamailio/`basename "$$r"` ; \
			done ; \
		done
		find $(CURDIR)/debian/kamailio-$(grp)-modules -depth -empty -type d -exec rmdir {} \;
	)
endef

define PACKAGE_EXTRA_INSTALL_template
	$(foreach grp,$(EXTRA_GROUPS),\
		$(MAKE) install-modules-all LIBDIR=$(LIBDIR) group_include="k$(grp)" \
		basedir=$(CURDIR)/debian/kamailio-extra-modules \
		cfg_prefix=$(CURDIR)/debian/kamailio-extra-modules \
		doc-dir=share/doc/kamailio-extra-modules
	)
	# eliminate duplicate libs
	-for d in $(DUP_LIBS_DIRS); do \
		test "$$d" != "$(CURDIR)/debian/kamailio-extra-modules/usr/$(LIBDIR)/kamailio" &&\
		for r in `find $$d -name 'lib*'|xargs`; do \
			echo "removing extra lib `basename $$r` present also in $$d";\
			rm -f $(CURDIR)/debian/kamailio-extra-modules/usr/$(LIBDIR)/kamailio/`basename "$$r"` ; \
		done ; \
	done
	find $(CURDIR)/debian/kamailio-extra-modules -depth -empty -type d -exec rmdir {} \;
endef

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# CFLAGS + CPPFLAGS -> CC_EXTRA_OPTS
# LDFLAGS -> LD_EXTRA_OPTS
CUSTOM_BUILDFLAGS:=$(shell dpkg-buildflags --export=configure| \
sed -e 's/" CPPFLAGS="/ /' -e 's/CFLAGS/CC_EXTRA_OPTS/g' -e 's/LDFLAGS/LD_EXTRA_OPTS/g')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) FLAVOUR=kamailio cfg prefix=/usr cfg_prefix=$(CURDIR)/debian/kamailio \
			cfg_target=/etc/kamailio/ \
			basedir=$(CURDIR)/debian/kamailio \
			skip_modules="$(EXCLUDED_MODULES) $(EXTRA_EXCLUDED_MODULES)" \
			$(CUSTOM_BUILDFLAGS) \
			group_include="kstandard"

	touch configure-stamp


build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) all
	# make groups
	$(call PACKAGE_GRP_BUILD_template)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	$(MAKE) maintainer-clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/kamailio
	$(MAKE) install LIBDIR=$(LIBDIR) group_include="kstandard"
	# make group packages
	$(call PACKAGE_GRP_INSTALL_template)
	$(call PACKAGE_EXTRA_INSTALL_template)
	mv $(CURDIR)/debian/kamailio-berkeley-modules/usr/sbin/kambdb_recover \
		$(CURDIR)/debian/kamailio-berkeley-bin/usr/sbin/kambdb_recover
	# install /etc/default/kamailio file
	mkdir -p $(CURDIR)/debian/kamailio/etc/default
	cp -f debian/kamailio.default $(CURDIR)/debian/kamailio/etc/default/kamailio


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installinit -pkamailio -- defaults 23
	dh_installcron
	dh_installman
	dh_installinfo
	dh_lintian
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip --dbg-package=kamailio-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent packages using the common target
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
# We have nothing to do by default.


# Build architecture-dependent packages using the common target
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(FILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
